# Method: projects.locations.entryGroups.entries.list

- [HTTP request](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.request_body)
- [Response body](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.ListEntriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#try-it)

> [!WARNING]
> Data Catalog is deprecated. Please use Dataplex Universal Catalog instead.

Lists entries.

Note: Currently, this method can list only custom entries. To get a list of both custom and automatically created entries, use `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/catalog/search#google.cloud.datacatalog.v1.DataCatalog.SearchCatalog`.

### HTTP request

`GET https://datacatalog.googleapis.com/v1/{parent}/entries`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the entry group that contains the entries to list. Can be provided in URL format. It takes the form `projects/{project}/locations/{location}/entryGroups/{entrygroup}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. Default is 10. Maximum limit is 1000. Throws an invalid argument if `pageSize` is more than 1000. |
| `pageToken` | `string` Pagination token that specifies the next page to return. If empty, the first page is returned. |
| `readMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` The fields to return for each entry. If empty or omitted, all fields are returned. For example, to return a list of entries with only the `name` field, set `readMask` to only one path with the `name` value. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries/list#google.cloud.datacatalog.v1.DataCatalog.ListEntries`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://docs.cloud.google.com/data-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`)`` Entry details. |
| `nextPageToken` | `string` Pagination token of the next results page. Empty if there are no more items in results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).